variable "tags" {
    type = map(string)
    default = {
        PROJECT = "CATHERINE_FC"
    }
}

variable "asg_tags" {
    type = list(object({key=string, value=string, propagate_at_launch=bool}))
    default = [
        {
            key = "PROJECT",
            value = "CATHERINE_FC",
            propagate_at_launch = true
        }
    ]
}
variable "asg_caps" {
    type = map(map(number))
    default = {
        "catherine-fc" = {
            min = 1
            max = 1
            desired = 1
        }
    }
}

variable "vpc_id" {
    type = map(string)
    default = {
        prod = "vpc-c54553a2"
    }
}
variable "internal_subnet_ids" {
    type = map(list(string))
    default = {
        prod = [ "subnet-0d0fdf45", "subnet-4dcecc16", "subnet-803fe4ab" ]
    }
}
variable "key_name" {
    type = map(string)
    default = {
        prod = "catherine-fc"
    }
}